package com.openhis.web.check.appservice;


import com.core.common.core.domain.R;
import com.openhis.check.domain.CheckMethod;
import io.swagger.models.auth.In;

import javax.servlet.http.HttpServletResponse;

/**
 * 检查方法Service接口
 *
 * @author system
 * @date 2025-07-22
 */
public interface ICheckMethodAppService{

    R<?> getCheckMethodList();

    R<?> addCheckMethod(CheckMethod checkMethod);

    R<?> updateCheckMethod(CheckMethod checkPart);

    R<?> removeCheckMethod(Integer checkMethodId);

    R<?> searchCheckMethodList(Integer pageNo, Integer pageSize, String checkType, String name, String packageName);

    R<?> exportCheckMethod(String checkType, String name, String packageName, HttpServletResponse response);
}
